Summary:	Thai TrueType fonts
Name:		fonts-ttf-thai
Version:	0.4.14
Release:	%mkrel 1
License:	GPLv2+ and Bitstream Vera Fonts Copyright
Group:		System/Fonts/True type
Source0:	ftp://linux.thai.net/pub/ThaiLinux/software/thai-ttf/thai-ttf-%{version}.tar.xz
URL:		http://linux.thai.net/projects/thaifonts-scalable
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Obsoletes:	thai-ttf
Provides:	thai-ttf
Requires(post): fontconfig
Requires(postun): fontconfig
BuildArch: noarch

%description
This Package provides Free Thai TrueType fonts.

%prep
%setup -q -n thai-ttf-%{version}

%build

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/TTF/thai/
cp *.ttf %buildroot/%_datadir/fonts/TTF/thai/

(
cd %buildroot/%_datadir/fonts/TTF/thai/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/thai \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-thai:pri=50


%post
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/thai/
%_datadir/fonts/TTF/thai/*
%_sysconfdir/X11/fontpath.d/ttf-thai:pri=50



%changelog
* Wed Jul 27 2016 adrianomorselli <adrianomorselli> 0.4.14-1uplos2010
- rebuild

* Mon Aug 02 2010 Texstar <texstar at gmail.com> 0.4.14-1pclos2010
- 0.4.14

* Mon Mar 08 2010 Texstar <texstar at gmail.com> 0.4.13-11pclos2010
- rebuild

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild
